<html lang="en">
<head>
<title>Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="#Top">
<link<ul class="index-cp" compact>
<li><a href="Buffer-Mode.html#index-buffer-mode-22">buffer mode</a>: <a href="Buffer-Mode.html#Buffer-Mode">Buffer Mode</a></li>
<li><a href="Basic-Key-Bindings.html#index-common-keys-9">common keys</a>: <a href="Basic-Key-Bindings.html#Basic-Key-Bindings">Basic Key Bindings</a></li>
<li><a href="Major-Display-Modes.html#index-create-major-display-mode-68">create major display mode</a>: <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a></li>
<li><a href="Minor-Display-Modes.html#index-create-minor-display-mode-67">create minor display mode</a>: <a href="Minor-Display-Modes.html#Minor-Display-Modes">Minor Display Modes</a></li>
<li><a href="Creating-a-display.html#index-creating-a-display-83">creating a display</a>: <a href="Creating-a-display.html#Creating-a-display">Creating a display</a></li>
<li><a href="Customizing.html#index-customizing-28">customizing</a>: <a href="Customizing.html#Customizing">Customizing</a></li>
<li><a href="Directory-Display.html#index-directory-display-17">directory display</a>: <a href="Directory-Display.html#Directory-Display">Directory Display</a></li>
<li><a href="Displays-Submenu.html#index-displays-submenu-15">displays submenu</a>: <a href="Displays-Submenu.html#Displays-Submenu">Displays Submenu</a></li>
<li><a href="Extending.html#index-extending-66">extending</a>: <a href="Extending.html#Extending">Extending</a></li>
<li><a href="Frames-and-Faces.html#index-faces-29">faces</a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="Directory-Display.html#index-file-flags-18">file flags</a>: <a href="Directory-Display.html#Directory-Display">Directory Display</a></li>
<li><a href="File-Key-Bindings.html#index-file-key-bindings-21">file key bindings</a>: <a href="File-Key-Bindings.html#File-Key-Bindings">File Key Bindings</a></li>
<li><a href="File-Mode.html#index-file-mode-16">file mode</a>: <a href="File-Mode.html#File-Mode">File Mode</a></li>
<li><a href="Frames-and-Faces.html#index-frame-parameters-30">frame parameters</a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="GDB.html#index-gdb-26">gdb</a>: <a href="GDB.html#GDB">GDB</a></li>
<li><a href="Basic-Visuals.html#index-groups-11">groups</a>: <a href="Basic-Visuals.html#Basic-Visuals">Basic Visuals</a></li>
<li><a href="GDB.html#index-gud-27">gud</a>: <a href="GDB.html#GDB">GDB</a></li>
<li><a href="Hidden-Files.html#index-hidden-files-20">hidden files</a>: <a href="Hidden-Files.html#Hidden-Files">Hidden Files</a></li>
<li><a href="Hooks.html#index-hooks-56">hooks</a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Info.html#index-Info-25">Info</a>: <a href="Info.html#Info">Info</a></li>
<li><a href="Introduction.html#index-introduction-1">introduction</a>: <a href="Introduction.html#Introduction">Introduction</a></li>
<li><a href="Basic-Key-Bindings.html#index-key-bindings-3">key bindings</a>: <a href="Basic-Key-Bindings.html#Basic-Key-Bindings">Basic Key Bindings</a></li>
<li><a href="Minor-Modes.html#index-minor-display-modes-23">minor display modes</a>: <a href="Minor-Modes.html#Minor-Modes">Minor Modes</a></li>
<li><a href="Basic-Key-Bindings.html#index-mode-switching-hotkeys-8">mode switching hotkeys</a>: <a href="Basic-Key-Bindings.html#Basic-Key-Bindings">Basic Key Bindings</a></li>
<li><a href="Mouse-Bindings.html#index-mouse-bindings-13">mouse bindings</a>: <a href="Mouse-Bindings.html#Mouse-Bindings">Mouse Bindings</a></li>
<li><a href="Tagging-Extensions.html#index-my_002dfetch_002ddynamic_002dtags-78"><code>my-fetch-dynamic-tags</code></a>: <a href="Tagging-Extensions.html#Tagging-Extensions">Tagging Extensions</a></li>
<li><a href="Tagging-Extensions.html#index-my_002dinsert_002dtag_002dlist-79"><code>my-insert-tag-list</code></a>: <a href="Tagging-Extensions.html#Tagging-Extensions">Tagging Extensions</a></li>
<li><a href="Basic-Key-Bindings.html#index-navigation-7">navigation</a>: <a href="Basic-Key-Bindings.html#Basic-Key-Bindings">Basic Key Bindings</a></li>
<li><a href="Mouse-Bindings.html#index-power-click-14">power click</a>: <a href="Mouse-Bindings.html#Mouse-Bindings">Mouse Bindings</a></li>
<li><a href="Basic-Key-Bindings.html#index-quitting-speedbar-4">quitting speedbar</a>: <a href="Basic-Key-Bindings.html#Basic-Key-Bindings">Basic Key Bindings</a></li>
<li><a href="Basic-Key-Bindings.html#index-refresh-speedbar-display-5">refresh speedbar display</a>: <a href="Basic-Key-Bindings.html#Basic-Key-Bindings">Basic Key Bindings</a></li>
<li><a href="RMAIL.html#index-RMAIL-24">RMAIL</a>: <a href="RMAIL.html#RMAIL">RMAIL</a></li>
<li><a href="Basic-Key-Bindings.html#index-slowbar-mode-6">slowbar mode</a>: <a href="Basic-Key-Bindings.html#Basic-Key-Bindings">Basic Key Bindings</a></li>
<li><a href="Hooks.html#index-g_t_0040code_007bspeedbar_002dbefore_002ddelete_002dhook_007d-62"><code>speedbar-before-delete-hook</code></a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Hooks.html#index-g_t_0040code_007bspeedbar_002dbefore_002dpopup_002dhook_007d-61"><code>speedbar-before-popup-hook</code></a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Frames-and-Faces.html#index-g_t_0040code_007bspeedbar_002dbutton_002dface_007d-31"><code>speedbar-button-face</code></a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="Expand-Buttons.html#index-speedbar_002dcenter_002dbuffer_002dsmartly-92"><code>speedbar-center-buffer-smartly</code></a>: <a href="Expand-Buttons.html#Expand-Buttons">Expand Buttons</a></li>
<li><a href="Expand-Buttons.html#index-speedbar_002dchange_002dexpand_002dbutton_002dchar-89"><code>speedbar-change-expand-button-char</code></a>: <a href="Expand-Buttons.html#Expand-Buttons">Expand Buttons</a></li>
<li><a href="Major-Display-Modes.html#index-g_t_0040code_007bspeedbar_002dcontract_002dline_007d-72"><code>speedbar-contract-line</code></a>: <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a></li>
<li><a href="Tagging-Extensions.html#index-g_t_0040code_007bspeedbar_002dcreate_002dtag_002dhierarchy_007d-80"><code>speedbar-create-tag-hierarchy</code></a>: <a href="Tagging-Extensions.html#Tagging-Extensions">Tagging Extensions</a></li>
<li><a href="Expand-Buttons.html#index-speedbar_002ddelete_002dsubblock-91"><code>speedbar-delete-subblock</code></a>: <a href="Expand-Buttons.html#Expand-Buttons">Expand Buttons</a></li>
<li><a href="Frames-and-Faces.html#index-g_t_0040code_007bspeedbar_002ddirectory_002dface_007d-33"><code>speedbar-directory-face</code></a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="Version-Control.html#index-g_t_0040code_007bspeedbar_002ddirectory_002dunshown_002dregexp_007d-52"><code>speedbar-directory-unshown-regexp</code></a>: <a href="Version-Control.html#Version-Control">Version Control</a></li>
<li><a href="Tagging-Extensions.html#index-g_t_0040code_007bspeedbar_002ddynamic_002dtags_002dfunction_002dlist_007d-81"><code>speedbar-dynamic-tags-function-list</code></a>: <a href="Tagging-Extensions.html#Tagging-Extensions">Tagging Extensions</a></li>
<li><a href="Major-Display-Modes.html#index-g_t_0040code_007bspeedbar_002dedit_002dline_007d-70"><code>speedbar-edit-line</code></a>: <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a></li>
<li><a href="Major-Display-Modes.html#index-g_t_0040code_007bspeedbar_002dexpand_002dline_007d-71"><code>speedbar-expand-line</code></a>: <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a></li>
<li><a href="Frames-and-Faces.html#index-g_t_0040code_007bspeedbar_002dfile_002dface_007d-32"><code>speedbar-file-face</code></a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="Frames-and-Faces.html#index-g_t_0040code_007bspeedbar_002dframe_002dparameters_007d_002c-Emacs-37"><code>speedbar-frame-parameters</code>, Emacs</a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="Frames-and-Faces.html#index-g_t_0040code_007bspeedbar_002dframe_002dplist_007d_002c-XEmacs-38"><code>speedbar-frame-plist</code>, XEmacs</a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="Introduction.html#index-g_t_0040code_007bspeedbar_002dget_002dfocus_007d-2"><code>speedbar-get-focus</code></a>: <a href="Introduction.html#Introduction">Introduction</a></li>
<li><a href="Frames-and-Faces.html#index-g_t_0040code_007bspeedbar_002dhighlight_002dface_007d-36"><code>speedbar-highlight-face</code></a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="Creating-Buttons.html#index-speedbar_002dinsert_002dbutton-84"><code>speedbar-insert-button</code></a>: <a href="Creating-Buttons.html#Creating-Buttons">Creating Buttons</a></li>
<li><a href="Generic-Tag-Lists.html#index-speedbar_002dinsert_002dgeneric_002dlist-86"><code>speedbar-insert-generic-list</code></a>: <a href="Generic-Tag-Lists.html#Generic-Tag-Lists">Generic Tag Lists</a></li>
<li><a href="Major-Display-Modes.html#index-g_t_0040code_007bspeedbar_002ditem_002dinfo_007d-74"><code>speedbar-item-info</code></a>: <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a></li>
<li><a href="Major-Display-Modes.html#index-g_t_0040code_007bspeedbar_002ditem_002dinfo_002dfile_002dhelper_007d-75"><code>speedbar-item-info-file-helper</code></a>: <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a></li>
<li><a href="Major-Display-Modes.html#index-g_t_0040code_007bspeedbar_002ditem_002dinfo_002dtag_002dhelper_007d-76"><code>speedbar-item-info-tag-helper</code></a>: <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a></li>
<li><a href="Major-Display-Modes.html#index-g_t_0040code_007bspeedbar_002dline_002ddirectory_007d-73"><code>speedbar-line-directory</code></a>: <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a></li>
<li><a href="Hooks.html#index-g_t_0040code_007bspeedbar_002dload_002dhook_007d-59"><code>speedbar-load-hook</code></a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Major-Display-Modes.html#index-g_t_0040code_007bspeedbar_002dmake_002dspecialized_002dkeymap_007d-69"><code>speedbar-make-specialized-keymap</code></a>: <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a></li>
<li><a href="Creating-Buttons.html#index-speedbar_002dmake_002dtag_002dline-85"><code>speedbar-make-tag-line</code></a>: <a href="Creating-Buttons.html#Creating-Buttons">Creating Buttons</a></li>
<li><a href="Hooks.html#index-g_t_0040code_007bspeedbar_002dmode_002dhook_007d-63"><code>speedbar-mode-hook</code></a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Directory-Display.html#index-g_t_0040code_007bspeedbar_002dobj_002dalist_007d-19"><code>speedbar-obj-alist</code></a>: <a href="Directory-Display.html#Directory-Display">Directory Display</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-g_t_0040code_007bspeedbar_002dprefix_002dgroup_002dtag_002dhierarchy_007d-44"><code>speedbar-prefix-group-tag-hierarchy</code></a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Hooks.html#index-g_t_0040code_007bspeedbar_002dreconfigure_002dkeymaps_002dhook_007d-60"><code>speedbar-reconfigure-keymaps-hook</code></a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Hooks.html#index-g_t_0040code_007bspeedbar_002dscanner_002dreset_002dhook_007d-65"><code>speedbar-scanner-reset-hook</code></a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Frames-and-Faces.html#index-g_t_0040code_007bspeedbar_002dselected_002dface_007d-35"><code>speedbar-selected-face</code></a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-g_t_0040code_007bspeedbar_002dsimple_002dgroup_002dtag_002dhierarchy_007d-45"><code>speedbar-simple-group-tag-hierarchy</code></a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-g_t_0040code_007bspeedbar_002dsort_002dtag_002dhierarchy_007d-46"><code>speedbar-sort-tag-hierarchy</code></a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Frames-and-Faces.html#index-g_t_0040code_007bspeedbar_002dtag_002dface_007d-34"><code>speedbar-tag-face</code></a>: <a href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-g_t_0040code_007bspeedbar_002dtag_002dgroup_002dname_002dminimum_002dlength_007d-47"><code>speedbar-tag-group-name-minimum-length</code></a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-g_t_0040code_007bspeedbar_002dtag_002dhierarchy_002dmethod_007d-42"><code>speedbar-tag-hierarchy-method</code></a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-g_t_0040code_007bspeedbar_002dtag_002dregroup_002dmaximum_002dlength_007d-49"><code>speedbar-tag-regroup-maximum-length</code></a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-g_t_0040code_007bspeedbar_002dtag_002dsplit_002dminimum_002dlength_007d-48"><code>speedbar-tag-split-minimum-length</code></a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Hooks.html#index-g_t_0040code_007bspeedbar_002dtimer_002dhook_007d-64"><code>speedbar-timer-hook</code></a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-g_t_0040code_007bspeedbar_002dtrim_002dwords_002dtag_002dhierarchy_007d-43"><code>speedbar-trim-words-tag-hierarchy</code></a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Version-Control.html#index-g_t_0040code_007bspeedbar_002dvc_002ddirectory_002denable_002dhook_007d-53"><code>speedbar-vc-directory-enable-hook</code></a>: <a href="Version-Control.html#Version-Control">Version Control</a></li>
<li><a href="Version-Control.html#index-g_t_0040code_007bspeedbar_002dvc_002din_002dcontrol_002dhook_007d-54"><code>speedbar-vc-in-control-hook</code></a>: <a href="Version-Control.html#Version-Control">Version Control</a></li>
<li><a href="Version-Control.html#index-g_t_0040code_007bspeedbar_002dvc_002dindicator_007d-55"><code>speedbar-vc-indicator</code></a>: <a href="Version-Control.html#Version-Control">Version Control</a></li>
<li><a href="Hooks.html#index-g_t_0040code_007bspeedbar_002dvisiting_002dfile_002dhook_007d-57"><code>speedbar-visiting-file-hook</code></a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Hooks.html#index-g_t_0040code_007bspeedbar_002dvisiting_002dtag_002dhook_007d-58"><code>speedbar-visiting-tag-hook</code></a>: <a href="Hooks.html#Hooks">Hooks</a></li>
<li><a href="Expand-Buttons.html#index-speedbar_002dwith_002dwritable-90"><code>speedbar-with-writable</code></a>: <a href="Expand-Buttons.html#Expand-Buttons">Expand Buttons</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-tag-groups-40">tag groups</a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-tag-hierarchy-39">tag hierarchy</a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Tag-Hierarchy-Methods.html#index-tag-sorting-41">tag sorting</a>: <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a></li>
<li><a href="Basic-Visuals.html#index-tags-12">tags</a>: <a href="Basic-Visuals.html#Basic-Visuals">Basic Visuals</a></li>
<li><a href="Version-Control.html#index-vc-extensions-51">vc extensions</a>: <a href="Version-Control.html#Version-Control">Version Control</a></li>
<li><a href="Version-Control.html#index-version-control-50">version control</a>: <a href="Version-Control.html#Version-Control">Version Control</a></li>
<li><a href="Basic-Visuals.html#index-visuals-10">visuals</a>: <a href="Basic-Visuals.html#Basic-Visuals">Basic Visuals</a></li>
</ul> href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
Copyright &copy; 1999, 2000, 2001, 2002, 2003, 2005 Free Software Foundation, Inc.

   <blockquote>
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with the
Invariant Sections being &ldquo;The GNU Manifesto&rdquo;, &ldquo;Distribution&rdquo; and
&ldquo;GNU GENERAL PUBLIC LICENSE&rdquo;, with the Front-Cover texts being &ldquo;A GNU
Manual&rdquo;, and with the Back-Cover Texts as in (a) below.  A copy of the
license is included in the section entitled &ldquo;GNU Free Documentation
License&rdquo; in the Emacs manual.

        <p>(a) The FSF's Back-Cover Text is: &ldquo;You have freedom to copy and modify
this GNU Manual, like GNU software.  Copies published by the Free
Software Foundation raise funds for GNU development.&rdquo;

        <p>This document is part of a collection distributed under the GNU Free
Documentation License.  If you want to distribute this document
separately from the collection, you can do so by adding a copy of the
license to the document, as described in section 6 of the license. 
</blockquote>

<div class="node">
<p>
<a name="Top"></a>
Up:&nbsp;<a rel="up" accesskey="u" href="../dir/Top.html#g_t_0028dir_0029Top">(dir)Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<p>Speedbar is a program for Emacs which can be used to summarize
information related to the current buffer.  Its original inspiration
is the `explorer' often used in modern development environments, office
packages, and web browsers.

   <p>Speedbar displays a narrow frame in which a tree view is shown.  This
tree view defaults to containing a list of files and directories.  Files
can be `expanded' to list tags inside. Directories can be expanded to
list the files within itself.  Each file or tag can be jumped to
immediately.

   <p>Speedbar expands upon `explorer' windows by maintaining context with the
user.  For example, when using the file view, the current buffer's file
is highlighted.  Speedbar also mimics the explorer windows by providing
multiple display modes.  These modes come in two flavors.  Major display
modes remain consistent across buffers, and minor display modes appear
only when a buffer of the applicable type is shown.  This allows
authors of other packages to provide speedbar summaries customized to
the needs of that mode.

   <p>Throughout this manual, activities are defined as `clicking on', or
`expanding' items.  Clicking means using <kbd>Mouse-2</kbd> on a
button.  Expanding refers to clicking on an expansion button to display
an expanded summary of the entry the expansion button is
on.  See <a href="Basic-Navigation.html#Basic-Navigation">Basic Navigation</a>.

<ul class="menu">
<li><a accesskey="1" href="Introduction.html#Introduction">Introduction</a>:      Basics of speedbar. 
<li><a accesskey="2" href="Basic-Navigation.html#Basic-Navigation">Basic Navigation</a>:  Basics of speedbar common between all modes. 
<li><a accesskey="3" href="File-Mode.html#File-Mode">File Mode</a>:         Summarizing files. 
<li><a accesskey="4" href="Buffer-Mode.html#Buffer-Mode">Buffer Mode</a>:       Summarizing buffers. 
<li><a accesskey="5" href="Minor-Modes.html#Minor-Modes">Minor Modes</a>:       Additional minor modes such as Info and RMAIL. 
<li><a accesskey="6" href="Customizing.html#Customizing">Customizing</a>:       Changing speedbar behavior. 
<li><a accesskey="7" href="Extending.html#Extending">Extending</a>:         Extend speedbar for your own project. 
<li><a accesskey="8" href="Index.html#Index">Index</a>
</ul>

   <div class="node">
<p>
<a name="Index"></a>
Previous:&nbsp;<a rel="previous" accesskey="p" href="Extending.html#Extending">Extending</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="unnumbered">Concept Index</h2>

</body></html>

